Assets
Locate a parsed asset
Path Parameters
asset*string
native or URL-encoded CODE:ISSUER.
Query Parameters
min_ledger?integer
Inclusive minimum ledger. Defaults to max_ledger minus 63, or the ledger encoded in an operation/trade ID.
Range
1 <= valuemax_ledger?integer
Inclusive maximum ledger. Defaults to the greatest published parsed ledger, or the ledger encoded in an operation/trade ID.
Range
1 <= valuestart_time?string
Inclusive UTC ISO timestamp ending in Z. Narrows the selected ledger window; not an all-history date search.
Format
date-timeend_time?string
Exclusive UTC ISO timestamp ending in Z.
Format
date-timeasset_code?string
Exact asset code.
asset_issuer?string
Exact asset issuer.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/analytics/assets/USDC:GBVVYDFLEBUNSWBHNJS3RSLLJTMJ46PJXTTMA3V6YJ4KDRMAEJIDUSDC"{ "entity": "assets", "window": { "minLedger": 63490364, "maxLedger": 63490364 }, "coverage": { "completedRanges": [ { "firstLedger": "2", "lastLedger": "63489999" }, { "firstLedger": "63490304", "lastLedger": "63490367" } ], "contiguousFirstLedger": "2", "contiguousLastLedger": "63489999", "contiguousLedgerCount": "63489998", "supplementalLedgerCount": "64", "totalLedgerCount": "63490062", "nextLedger": "63490000", "minimumLedger": "2", "maximumLedger": "63490367", "gapCount": 1 }, "coverageStatus": "partial_or_unknown", "source": "stellar_hubble", "semantics": "Historical observations in the selected ledger window; not current-chain state.", "record": { "id": "USDC:GBVVYDFLEBUNSWBHNJS3RSLLJTMJ46PJXTTMA3V6YJ4KDRMAEJIDUSDC", "type": "credit_alphanum4", "code": "USDC", "issuer": "GBVVYDFLEBUNSWBHNJS3RSLLJTMJ46PJXTTMA3V6YJ4KDRMAEJIDUSDC" }}